(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of ocamlprintc.bin generated code *)

let print_module_name ppf = function
  | s -> Lib_print.print_quoted_string ppf s

and print_function_name ppf = function
  | s -> Lib_print.print_quoted_string ppf s

and print_message ppf = function | s -> Lib_print.print_quoted_string ppf s
;;

let print_index ppf = function | u_t -> Unatural_print.print_t ppf u_t
;;

let print_length ppf = function | u_t -> Unatural_print.print_t ppf u_t
;;

(* End of ocamlprintc.bin generated code *)
